For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList agents
      • POSTCreate agent
      • GETGet agent
      • DELDelete agent
      • PATCHUpdate agent
      • POSTDispatch agent
      • GETGet capabilities
      • GETGet system tools
Status
LogoLogo
API ReferenceAgents

Create agent

POST
https://app.resemble.ai/api/v2/agents
POST
/api/v2/agents
$curl -X POST https://app.resemble.ai/api/v2/agents \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string",
> "voice_uuid": "string"
>}'
1{
2 "success": true,
3 "item": {},
4 "message": "string"
5}
Create a new voice agent
Was this page helpful?
Previous

Get agent

Next
Built with

Authentication

AuthorizationBearer
API token from https://app.resemble.ai/account/api

Request

This endpoint expects an object.
namestringRequired
voice_uuidstringRequired
phone_number_idintegerOptional
languageslist of stringsOptional
dynamic_variablesmap from strings to strings or doubles or booleansOptional
asrobjectOptional
turnobjectOptional
llmobjectOptional
search_modeenumOptionalDefaults to accuracy

RAG search strategy - speed (faster) or accuracy (more thorough)

Allowed values:
max_chunks_per_queryintegerOptional>=1Defaults to 8
Number of relevant chunks to retrieve per query for RAG
webhookslist of objectsOptional
system_toolsobjectOptional

Response

Agent created successfully
successboolean
itemobject
messagestring

Errors

400
Bad Request Error

API token from https://app.resemble.ai/account/api